### A free/open-source library for quantitative finance

Defines
ql/utilities/tracing.hpp File Reference

tracing facilities More...

`#include <ql/types.hpp>`
`#include <ql/errors.hpp>`
`#include <ql/patterns/singleton.hpp>`
`#include <boost/current_function.hpp>`
`#include <iosfwd>`
Include dependency graph for tracing.hpp:

## Defines

#define | QL_DEFAULT_TRACER
#define | QL_TRACE_ENABLE
| enable tracing
#define | QL_TRACE_DISABLE
| disable tracing
#define | QL_TRACE_ON(out)
| set tracing stream
#define | QL_TRACE(message)
| output tracing information
#define | QL_TRACE_ENTER_FUNCTION
| output tracing information
#define | QL_TRACE_EXIT_FUNCTION
| output tracing information
#define | QL_TRACE_LOCATION
| output tracing information
#define | QL_TRACE_VARIABLE(variable)
| output tracing information

## Detailed Description

tracing facilities